<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>LibGE: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="cropped-BDS-Logo-1.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LibGE
   &#160;<span id="projectnumber">0.31.0</span>
   </div>
   <div id="projectbrief">A c++ GE implementation</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">GEListGenome Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="class_g_e_list_genome.html">GEListGenome</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="class_g_e_list_genome.html#a056e89f4b46146e92d625ed63be8396a">clone</a>(GAGenome::CloneMethod method) const</td><td class="entry"><a class="el" href="class_g_e_list_genome.html">GEListGenome</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_g_e_list_genome.html#ab887cac73957f5aa2496ad63e823f730">copy</a>(const GAGenome &amp;source)</td><td class="entry"><a class="el" href="class_g_e_list_genome.html">GEListGenome</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_g_e_list_genome.html#a7411fdb87fd349346571c96acfa87416">effCrossover</a>(const GAGenome &amp;p1, const GAGenome &amp;p2, GAGenome *c1, GAGenome *c2)</td><td class="entry"><a class="el" href="class_g_e_list_genome.html">GEListGenome</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_g_e_list_genome.html#a8f1514f6e8b7d2e082da2dd8adb127db">equal</a>(const GAGenome &amp;source) const</td><td class="entry"><a class="el" href="class_g_e_list_genome.html">GEListGenome</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_g_e_list_genome.html#a1320e2bfb7fdf0dce9cf1fa921850cb1">GEListGenome</a>()</td><td class="entry"><a class="el" href="class_g_e_list_genome.html">GEListGenome</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_g_e_list_genome.html#af71564c24bbfd58dac6b2487fb341477">GEListGenome</a>(const GEListGenome &amp;source)</td><td class="entry"><a class="el" href="class_g_e_list_genome.html">GEListGenome</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_g_e_list_genome.html#a63e7099d4398f546a75e22f21f87afd9">getEffectiveSize</a>() const</td><td class="entry"><a class="el" href="class_g_e_list_genome.html">GEListGenome</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_g_e_list_genome.html#a6ebce36f83a1d946fa6c56a4cb4cb49d">getTestFitness</a>() const</td><td class="entry"><a class="el" href="class_g_e_list_genome.html">GEListGenome</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_g_e_list_genome.html#ad5a6f4d191251c296d30dc14eaf86455">operator=</a>(const GAGenome &amp;source)</td><td class="entry"><a class="el" href="class_g_e_list_genome.html">GEListGenome</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_g_e_list_genome.html#a8967ed77758986d9e73497f76b323d60">pointMutator</a>(GAGenome &amp;g, float pmut)</td><td class="entry"><a class="el" href="class_g_e_list_genome.html">GEListGenome</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_g_e_list_genome.html#a6c16b0d2d3e3e1505e72dedc78766a71">setEffectiveSize</a>(const int newEffSize)</td><td class="entry"><a class="el" href="class_g_e_list_genome.html">GEListGenome</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_g_e_list_genome.html#ae78f93ec09d4861138151634fd97a42e">setTestFitness</a>(const double tFitness)</td><td class="entry"><a class="el" href="class_g_e_list_genome.html">GEListGenome</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_g_e_list_genome.html#a2d8da98535d388c7d2f42daf065f8b43">~GEListGenome</a>()</td><td class="entry"><a class="el" href="class_g_e_list_genome.html">GEListGenome</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
